{%include "../../includes/header.inc"%}
 <div class="container main-body">
	<div class="row">
		<div class="col-md-3">
			<div class="bs-sidebar affix hidden-xs hidden-sm">
	
				{% if models.broader|length != 0 %}
				<ul class="broader-subjects">
				{% for row in models.broader %}
			        <li><a href="{{ row.broader.value }}"><i class="fa fa-chevron-up"></i> {{row.broaderLabel.value}}</a></li>   
			    {% endfor %}
			    </ul>
			    {%endif%}	    
			   
			    <h1 class="h3" style="margin-top: 5px;">{{ first.main.label.value }}</h1>
                            <h2 class="h6">{{ first.main.altlabel.value }}</h2> 			 
  				
                            <ul class="narrower-subjects">
				{% for row in models.narrower %}
			        <li><a href="{{ row.narrower.value }}"><i class="fa fa-chevron-down"></i> {{row.narrowerLabel.value}}</a></li>
			    {% endfor %}
			    </ul>
			    <hr>

			    {% if first.main.definition.value %}
				<p>{{first.main.definition.value}}</p>
			    {% endif %}
			    
			    {% if models.inscheme|length != 0  %}
				<p><strong class="text-muted">I register:</strong><br>
					{% for row in models.inscheme %}
					<a href="{{row.uri.value}}">{{row.label.value}}</a><br>
					{% endfor %}
				</p>
				{% endif %}
			    
				<!-- ALL DATA -->
				<button type="button" class="btn btn-xs btn-link" data-toggle="modal" data-target="#full-meta-view"><i class="fa fa-heart m-button-red"></i> Vis data</button>				
				<hr>
	
				<div class="browse-sidebar">
					<h4>Bla i <span class="marcus-logo">Marcus</span></h4>
						<ul class="list-unstyled">
							{% include "../../includes/nav.inc" %}
						</ul>
				</div>

	    	</div>
	    </div> <!-- END col -->

    <div class="col-md-9 col-lg-9">
    
    {% if models.broader|length != 0 %}
    <div class="hidden-md hidden-lg">
		<ul class="broader-subjects">
		{% for row in models.broader %}
	        <li><a href="{{ row.broader.value }}"><i class="fa fa-chevron-up"></i> {{row.broaderLabel.value}}</a></li>   
	    {% endfor %}
	    </ul>
	</div>
	{%endif%}

    <h1 class="hidden-md hidden-lg">{{ first.main.label.value }} <span class="badge">{{ first.count.total.value }}</span></h1>

	
    {% if models.narrower|length != 0 %}
    <div class="hidden-md hidden-lg">
		<ul class="list-inline">
		{% for row in models.narrower %}
	        <li><a href="{{ row.narrower.value }}"><i class="fa fa-chevron-down"></i> {{row.narrowerLabel.value}}</a></li>
	    {% endfor %}
	    </ul>
	</div>
	{%endif%}
	
	{% if models.related|length != 0 %}
	<div>
	    <h3>Samlinger knyttet til <i>{{ first.main.label.value }}</i></h3>
	    <p>Disse samlingene er ikke tilgjengelig i Marcus, men du kan finne mer informasjon i den gamle <a href="http://www.uib.no/filearchive/manuskriptkatalogen-ms-1-2097.pdf" target="_blank">Manuskriptkatalogen (pdf)</a>.</p>
		<ul class="list-inline">
		{% for row in models.related %}
	        <li><i class="fa fa-dot-circle-o"></i> {{row.label.value}}</li>
	    {% endfor %}
	    </ul>
	</div>
	{% endif %}	   	
	
    
    <hr>
    
    	{% if first.count.total.value > 50 %}
    <div>
        <script>
	    if ("{{lodspk.args.arg1}}".length < 1)
	    	{page = 0;}
	    	else {page = "{{lodspk.args.arg1}}";}
			if ("{{lodspk.args.arg0}}".length > 0)
			{page=parseInt(page)}
			else {}
	    var offset = 50;
	    var count = {{first.count.total.value}};
	    var totalPages = Math.floor(count / 50);
	    var lastPage = '{{lodspk.home}}topic/{{lodspk.args.arg0}}/'+ (count - ((count - (50*totalPages))));
	  	
	    var nextPage = page+offset;
		var prevPage = page-offset;
		var next_uri = '{{lodspk.home}}topic/{{lodspk.args.arg0}}/'+ nextPage;
	    var prev_uri = '{{lodspk.home}}topic/{{lodspk.args.arg0}}/'+ prevPage;
		document.write('<ul class="pager">');
			if (prevPage === 0){
				document.write('</li><li><a href="{{lodspk.home}}topic/{{lodspk.args.arg0}}" id="prev">Forrige 50</a></li>');	
			}		
			else if ("{{lodspk.args.arg1}}".length > 1){
				document.write('<li><a href="{{lodspk.home}}topic/{{lodspk.args.arg0}}/">Første side</a></li><li><a href="" class="prev">Forrige 50</a></li>');
				$(".prev").attr("href",prev_uri);
			};
	
			if ({{first.count.total.value}} > nextPage){
				document.write('<li><a href="" class="next">Neste 50</a></li><li><a class="lastpage" href="">Siste side</a>');
				$(".next").attr("href",next_uri);
				$(".lastpage").attr("href",lastPage);
			};
		document.write('</ul>');
		</script>	
	 </div>
	{% endif %}

    {% if models.subjectOf|length != 0 %}
	<div class="row">
    
	{% for row in models.subjectOf %}
	    {% ifchanged row.uri.value %}
	    <div style="margin-bottom: 15px; border-bottom: 1px solid #ddd;" class="col-md-12 col-lg-12">
	    	<div class="col-md-4 col-lg-4">
	        	<div class="thumbnail">
	        	<a href="{{ row.uri.value }}"><img class="img-responsive img-rounded" {% if row.img %}src="{{row.img.value}}"{%else%}data-src="holder.js/100%x150/text:Ingen forhåndsvisning"{%endif%}  alt=""></a>
	        	</div>
	        </div>
        	<div class="col-md-8 col-lg-8">
	    	{% if row.makerNames %}
		    	<p><i style="margin-right: 5px;" data-trigger="hover" data-toggle="tooltip" data-placement="left" title="Personer knyttet til samlingen eller dokumentet" class="fa fa-users"></i> <strong>{{row.makerNames.value}}</strong></p>
		    {% endif %}
		    
      			<h4><a href="{{ row.uri.value }}">{{ row.label.value }}</a></h4>
      			{% if row.created %}<h5><i class="fa fa-calendar"></i> {{row.created.value}}</h5>{% endif %}
      			{% if row.description.value %}<p>{{row.description.value|truncatewords:35}}</p>{% endif %}
		    	
		    	{% if row.subjectLabels %}
		    	<p class="text-muted"><i class="fa fa-tags"></i> <i itemprop="keywords">{{row.subjectLabels.value}}</i></p>
				{% endif %}
				
      			<p class="hidden-sm hidden-xs">
      			{% if row.classLabel %}<span class="label label-info">{{row.classLabel.value}}</span> {% endif %} 
      			<i style="margin-right: 5px;" data-trigger="hover" data-toggle="tooltip" data-placement="left" title="Dokumentets signatur" class="fa fa-key"></i><i>{{row.identifier.value}}</i> </p>     			     	
			</div>
		</div>
		
	    {% endifchanged %}
	 {% endfor %}
	</div>

    </div>
    {% endif %}
    <script>$('[data-toggle="tooltip"]').tooltip({'placement': 'top'});</script>
	
	
    
	{% if first.count.total.value > 50 %}
    <div>
        <script>
	    if ("{{lodspk.args.arg1}}".length < 1)
	    	{page = 0;}
	    	else {page = "{{lodspk.args.arg1}}";}
			if ("{{lodspk.args.arg0}}".length > 0)
			{page=parseInt(page)}
			else {}
	    var offset = 50;
	    var count = {{first.count.total.value}};
	    var totalPages = Math.floor(count / 50);
	    var lastPage = '{{lodspk.home}}topic/{{lodspk.args.arg0}}/'+ (count - ((count - (50*totalPages))));
	  	
	    var nextPage = page+offset;
		var prevPage = page-offset;
		var next_uri = '{{lodspk.home}}topic/{{lodspk.args.arg0}}/'+ nextPage;
	    var prev_uri = '{{lodspk.home}}topic/{{lodspk.args.arg0}}/'+ prevPage;
		document.write('<ul class="pager">');
			if (prevPage === 0){
				document.write('</li><li><a href="{{lodspk.home}}topic/{{lodspk.args.arg0}}" id="prev">Forrige 50</a></li>');	
			}		
			else if ("{{lodspk.args.arg1}}".length > 1){
				document.write('<li><a href="{{lodspk.home}}topic/{{lodspk.args.arg0}}/">Første side</a></li><li><a href="" class="prev">Forrige 50</a></li>');
				$(".prev").attr("href",prev_uri);
			};
	
			if ({{first.count.total.value}} > nextPage){
				document.write('<li><a href="" class="next">Neste 50</a></li><li><a class="lastpage" href="">Siste side</a>');
				$(".next").attr("href",next_uri);
				$(".lastpage").attr("href",lastPage);
			};
		document.write('</ul>');
		</script>	
	 </div>
	{% endif %}
	
      </div>
    </div> <!-- End Row -->
    
<div id="full-meta-view" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
		      <div class="modal-header">
		        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
		        <h4 class="modal-title" id="myModalLabel">{% for row in models.main %}{{ row.label.value }}{% endfor %} - data</h4>
		      </div>
			  <div class="modal-body">
			  <p>Dette er våre data om {% for row in models.main %}{{ row.label.value }}{%endfor%}. Her får du også et innblikk i hvordan vår samling er modellert og relasjonene er bygget opp.
				<table style="table-layout:fixed; word-wrap: break-word;" class="table table-striped" about="{{uri}}">
					<thead>
						<tr><th>Subjekt</th><th>Predikat</th><th>Objekt</th></tr>
					</thead>
			    {% for row in models.po %}
						<tr>
							<td>{%if forloop.first%}<a href='{{lodspk.this.value}}'>{{lodspk.this.curie}}</a>{%endif%}</td>
							<td><a href='{{row.p.value}}'>{{row.p.curie}}</a></td>
							<td>
								{%if row.o.uri == 1%}
								<a rel='{{row.p.value}}' href='{{row.o.value}}'>{{row.o.curie}}</a>
								{%else%}
								<span property='{{row.p.value}}'>{{row.o.value}}</span>
								{%endif%}
							</td>
						</tr>
				{% endfor %}

				{% for row in models.sp %}
						<tr>
							<td><a href='{{row.s.value}}'>{{row.s.curie}}</a></td>
							<td><a rev='{{row.s.value}}' href='{{row.p.value}}'>{{row.p.curie}}</a></td>
							<td>{%if forloop.first%}<a href='{{lodspk.this.value}}'>{{lodspk.this.curie}}</a>{%endif%}</td>
						</tr>
				{% endfor %}
					<tfoot>
						<tr><th>Subjekt</th><th>Predikat</th><th>Objekt</th></tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>


</div></div>
{%include "../../includes/footer.inc"%}

  </body>
</html>
